summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/autoconf/autoconf.SlackBuild2
-rwxr-xr-xsource/e/emacs/emacs.SlackBuild8
-rw-r--r--source/e/emacs/slack-desc2
-rw-r--r--source/k/kernel-configs/config-generic-5.10.7 (renamed from source/k/kernel-configs/config-generic-5.10.6)2
-rw-r--r--source/k/kernel-configs/config-generic-5.10.7.x64 (renamed from source/k/kernel-configs/config-generic-5.10.6.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-5.10.7-smp (renamed from source/k/kernel-configs/config-generic-smp-5.10.6-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-5.10.7 (renamed from source/k/kernel-configs/config-huge-5.10.6)2
-rw-r--r--source/k/kernel-configs/config-huge-5.10.7.x64 (renamed from source/k/kernel-configs/config-huge-5.10.6.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-5.10.7-smp (renamed from source/k/kernel-configs/config-huge-smp-5.10.6-smp)2
-rwxr-xr-xsource/l/libclc/libclc.SlackBuild32
-rw-r--r--source/l/libclc/libclc.url1
-rwxr-xr-xsource/n/socat/socat.SlackBuild2
-rwxr-xr-xsource/x/vulkan-sdk/vulkan-sdk.SlackBuild6
13 files changed, 39 insertions, 26 deletions
diff --git a/source/d/autoconf/autoconf.SlackBuild b/source/d/autoconf/autoconf.SlackBuild
index 59093015d..b006e5907 100755
--- a/source/d/autoconf/autoconf.SlackBuild
+++ b/source/d/autoconf/autoconf.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=autoconf
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/e/emacs/emacs.SlackBuild b/source/e/emacs/emacs.SlackBuild
index 1e5a164ae..08fc9f6c6 100755
--- a/source/e/emacs/emacs.SlackBuild
+++ b/source/e/emacs/emacs.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=emacs
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Determine version number the tarball is labeled with:
TARBALLVER=${TARBALLVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# OK, now what's being used as the source directory version number... account
@@ -92,6 +92,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# The defaults are a little too worried about adding a few more K of pure
+# memory given the amount available on modern systems:
+sed -i "s/#define SYSTEM_PURESIZE_EXTRA 0/#define SYSTEM_PURESIZE_EXTRA 100000/g" src/puresize.h
+
#autoreconf -vif
CFLAGS="$SLKCFLAGS" \
diff --git a/source/e/emacs/slack-desc b/source/e/emacs/slack-desc
index 94ba8e13e..62b44ea8c 100644
--- a/source/e/emacs/slack-desc
+++ b/source/e/emacs/slack-desc
@@ -8,5 +8,5 @@ emacs: its core is an interpreter for Emacs Lisp, a dialect of the Lisp
emacs: programming language with extensions to support text editing.
emacs: This version supports X.
emacs:
-emacs: http://www.gnu.org/software/emacs/
+emacs: Homepage: http://www.gnu.org/software/emacs/
emacs:
diff --git a/source/k/kernel-configs/config-generic-5.10.6 b/source/k/kernel-configs/config-generic-5.10.7
index a3ad07b06..cb34960cf 100644
--- a/source/k/kernel-configs/config-generic-5.10.6
+++ b/source/k/kernel-configs/config-generic-5.10.7
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.10.6 Kernel Configuration
+# Linux/x86 5.10.7 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-5.10.6.x64 b/source/k/kernel-configs/config-generic-5.10.7.x64
index 016ccc705..97eb5d66f 100644
--- a/source/k/kernel-configs/config-generic-5.10.6.x64
+++ b/source/k/kernel-configs/config-generic-5.10.7.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.10.6 Kernel Configuration
+# Linux/x86 5.10.7 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-smp-5.10.6-smp b/source/k/kernel-configs/config-generic-smp-5.10.7-smp
index ebf6d321a..8c8e8d0dd 100644
--- a/source/k/kernel-configs/config-generic-smp-5.10.6-smp
+++ b/source/k/kernel-configs/config-generic-smp-5.10.7-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.10.6 Kernel Configuration
+# Linux/x86 5.10.7 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-5.10.6 b/source/k/kernel-configs/config-huge-5.10.7
index d94ce837d..51991d7f7 100644
--- a/source/k/kernel-configs/config-huge-5.10.6
+++ b/source/k/kernel-configs/config-huge-5.10.7
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.10.6 Kernel Configuration
+# Linux/x86 5.10.7 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-5.10.6.x64 b/source/k/kernel-configs/config-huge-5.10.7.x64
index cbc619589..3a382f193 100644
--- a/source/k/kernel-configs/config-huge-5.10.6.x64
+++ b/source/k/kernel-configs/config-huge-5.10.7.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.10.6 Kernel Configuration
+# Linux/x86 5.10.7 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-smp-5.10.6-smp b/source/k/kernel-configs/config-huge-smp-5.10.7-smp
index d25f4d68b..2358a715b 100644
--- a/source/k/kernel-configs/config-huge-smp-5.10.6-smp
+++ b/source/k/kernel-configs/config-huge-smp-5.10.7-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.10.6 Kernel Configuration
+# Linux/x86 5.10.7 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/l/libclc/libclc.SlackBuild b/source/l/libclc/libclc.SlackBuild
index c55ddcf21..b1931d86d 100755
--- a/source/l/libclc/libclc.SlackBuild
+++ b/source/l/libclc/libclc.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for libclc
# Copyright 2016 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libclc
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 4- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -74,9 +74,9 @@ PKG=$TMP/package-libclc
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf libclc-$VERSION
-tar xvf $CWD/libclc-$VERSION.tar.?z* || exit 1
-cd libclc-$VERSION || exit 1
+rm -rf libclc-${VERSION}.src
+tar xvf $CWD/libclc-$VERSION.src.tar.?z* || exit 1
+cd libclc-${VERSION}.src || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -84,18 +84,24 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS -D__extern_always_inline=inline" \
-./configure.py \
- --prefix=/usr \
- --libexecdir=/usr/lib$LIBDIRSUFFIX/clc/ \
- --pkgconfigdir=/usr/lib$LIBDIRSUFFIX/pkgconfig/ || exit 1
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ -DDOC_INSTALL_DIR="doc" \
+ -DMAN_INSTALL_DIR=/usr/man \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a *.TXT $PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/libclc/libclc.url b/source/l/libclc/libclc.url
new file mode 100644
index 000000000..275ba753a
--- /dev/null
+++ b/source/l/libclc/libclc.url
@@ -0,0 +1 @@
+https://github.com/llvm/llvm-project/releases/download/llvmorg-11.0.1/libclc-11.0.1.src.tar.xz
diff --git a/source/n/socat/socat.SlackBuild b/source/n/socat/socat.SlackBuild
index e4b3578fd..46733de90 100755
--- a/source/n/socat/socat.SlackBuild
+++ b/source/n/socat/socat.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=socat
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/x/vulkan-sdk/vulkan-sdk.SlackBuild b/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
index 72d86df77..5f35216d1 100755
--- a/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
+++ b/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for vulkan-sdk
# Copyright 2016, 2017 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2016, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2016, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=vulkan-sdk
VERSION=${VERSION:-$(echo Vulkan-ValidationLayers-sdk-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -216,6 +216,8 @@ cd build
-DGLSLANG_INSTALL_DIR=$PKG/usr \
-DVULKAN_HEADERS_INSTALL_DIR=$PKG/usr \
-DVULKAN_LOADER_INSTALL_DIR=$PKG/usr \
+ -DBUILD_LAYER_SUPPORT_FILES=On \
+ -DCMAKE_INSTALL_INCLUDEDIR=/usr/include/vulkan \
..
make $NUMJOBS || make || exit 1